Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_edit_form.cpt
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_edit_form.cpt	(revision 2463)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_edit_form.cpt	(revision 2611)
@@ -20,6 +20,4 @@
                  member context/@@plone_portal_state/member;
                  template_id template/getId;
-                 Iterator python:modules['Products.CMFPlone'].IndexIterator;
-                 tabindex python:Iterator(mainSlot=False);
                  thread python:putils.getDiscussionThread(here);
                  discussable python:thread[0];
@@ -65,7 +63,5 @@
                            value="" alt="Username" title="Name"
                            size="40"
-                           tabindex=""
-                           i18n:attributes="title label_name; alt label_username;"
-                           tal:attributes="tabindex tabindex/next;" />
+                           i18n:attributes="title label_name; alt label_username;" />
 
                 </div>
@@ -78,9 +74,7 @@
                            id="password"
                            name="password"
-                           tabindex=""
                            value="" alt="Password" title="Password"
                            size="40"
-                           i18n:attributes="title label_password; alt label_password;"
-                           tal:attributes="tabindex tabindex/next;" />
+                           i18n:attributes="title label_password; alt label_password;" />
 
                 </div>
@@ -105,7 +99,5 @@
                        value=""
                        size="40"
-                       tabindex=""
-                       tal:attributes="value context/title|request/subject|request/title_override|nothing;
-                                       tabindex tabindex/next" />
+                       tal:attributes="value context/title|request/subject|request/title_override|nothing;" />
 
             </div>
@@ -127,7 +119,5 @@
                           cols="40"
                           rows="20"
-                          tabindex=""
                           tal:content="context/text|request/body_text|request/text_override | nothing"
-                          tal:attributes="tabindex tabindex/next"
                         ></textarea>
 
@@ -137,17 +127,13 @@
 
                 <input class="context"
-                       tabindex=""
                        type="submit"
                        value="Save"
                        name="form.button.Save"
-                       i18n:attributes="value label_save;"
-                       tal:attributes="tabindex tabindex/next;" />
+                       i18n:attributes="value label_save;" />
                 <input class="standalone"
-                       tabindex=""
                        type="submit"
                        value="Cancel"
                        name="form.button.Cancel"
-                       i18n:attributes="value label_cancel;"
-                       tal:attributes="tabindex tabindex/next;" />
+                       i18n:attributes="value label_cancel;" />
 
             </div>
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt	(revision 2463)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt	(revision 2611)
@@ -9,6 +9,4 @@
 <div metal:fill-slot="prefs_configlet_content"
      tal:define="here_url context/@@plone_context_state/object_url;
-                 Iterator python:modules['Products.CMFPlone'].IndexIterator;
-                 tabindex python:Iterator(mainSlot=False);
                  errors python:request.get('controller_state', None).getErrors();">
 
@@ -70,9 +68,7 @@
                            name="isEnabledModeration"
                            id="isEnabledModeration"
-                           tabindex =""
                            tal:attributes="name property_id;
                                            value isEnabledModeration;
-                                           checked python:test(isEnabledModeration, 'True', '');
-                                           tabindex tabindex/next;"/>
+                                           checked python:test(isEnabledModeration, 'True', '');" />
 
                     <label i18n:translate="label_enable_moderation" 
@@ -90,9 +86,7 @@
                            name="requireEmail"
                            id="requireEmail"
-                           tabindex =""
                            tal:attributes="name property_id;
                                            value requireEmail;
-                                           checked python:test(requireEmail, 'True', '');
-                                           tabindex tabindex/next;"/>
+                                           checked python:test(requireEmail, 'True', '');" />
 
                     <label i18n:translate="label_require_anonym_email" 
@@ -110,9 +104,7 @@
                            name="isEnabledAnonymousCommenting"
                            id="isEnabledAnonymousCommenting"
-                           tabindex =""
                            tal:attributes="name property_id;
                                            value isEnabledAnonymousCommenting;
-                                           checked python:test(isEnabledAnonymousCommenting, 'True', '');
-                                           tabindex tabindex/next;"/>
+                                           checked python:test(isEnabledAnonymousCommenting, 'True', '');" />
 
                     <label i18n:translate="label_anonymous_commenting" 
@@ -129,9 +121,7 @@
                            name="isEnabledReportAbuse"
                            id="isEnabledReportAbuse"
-                           tabindex =""
                            tal:attributes="name property_id;
                                            value isEnabledReportAbuse;
-                                           checked python:test(isEnabledReportAbuse, 'True', '');
-                                           tabindex tabindex/next;"/>
+                                           checked python:test(isEnabledReportAbuse, 'True', '');" />
 
                     <label i18n:translate="label_enable_report_abuse"
@@ -148,9 +138,7 @@
                            name="isEnabledAnonymousReportAbuse"
                            id="isEnabledAnonymousReportAbuse"
-                           tabindex =""
                            tal:attributes="name property_id;
                                            value isEnabledAnonymousReportAbuse;
-                                           checked python:test(isEnabledAnonymousReportAbuse, 'True', '');
-                                           tabindex tabindex/next;"/>
+                                           checked python:test(isEnabledAnonymousReportAbuse, 'True', '');" />
 
                     <label i18n:translate="label_enable_anonymous_report_abuse"
@@ -172,9 +160,7 @@
                            name="isEnabledAjaxReportAbuse"
                            id="isEnabledAjaxReportAbuse"
-                           tabindex =""
                            tal:attributes="name property_id;
                                            value isEnabledAjaxReportAbuse;
-                                           checked python:test(isEnabledAjaxReportAbuse, 'True', '');
-                                           tabindex tabindex/next;"/>
+                                           checked python:test(isEnabledAjaxReportAbuse, 'True', '');"/>
 
                     <label i18n:translate="label_enable_ajax_report_abuse"
@@ -194,8 +180,6 @@
                            name="EnableManagerModeration"
                            id="EnableManagerModeration"
-                           tabindex =""
                            tal:attributes="value isEnabledManagerModeration;
-                                           checked python:test(isEnabledManagerModeration, 'True', '');
-                                           tabindex tabindex/next;"/>
+                                           checked python:test(isEnabledManagerModeration, 'True', '');" />
 
                     <label i18n:translate="enable_manager_moderation"
@@ -222,8 +206,6 @@
                            value=""
                            size="40"
-                           tabindex=""
-                           tal:attributes="name property_id;
-                                           value email;
-                                           tabindex tabindex/next;" />
+                           tal:attributes="name property_id;
+                                           value email;" />
                 </div>
 
@@ -243,8 +225,6 @@
                            value=""
                            size="40"
-                           tabindex=""
-                           tal:attributes="name property_id;
-                                           value organization_name;
-                                           tabindex tabindex/next;" />
+                           tal:attributes="name property_id;
+                                           value organization_name;" />
                 </div>
 
@@ -266,9 +246,7 @@
                            name="isEnabledPublishedNotification"
                            id="isEnabledPublishedNotification"
-                           tabindex =""
                            tal:attributes="name property_id;
                                            value isEnabledPublishedNotification;
-                                           checked python:test(isEnabledPublishedNotification, 'True', '');
-                                           tabindex tabindex/next;"/>
+                                           checked python:test(isEnabledPublishedNotification, 'True', '');" />
 
                     <label i18n:translate="label_enable_published_notification" 
@@ -285,9 +263,7 @@
                            name="isEnableApproveNotification"
                            id="isEnableApproveNotification"
-                           tabindex =""
                            tal:attributes="name property_id;
                                            value isEnableApproveNotification;
-                                           checked python:test(isEnableApproveNotification, 'True', '');
-                                           tabindex tabindex/next;"/>
+                                           checked python:test(isEnableApproveNotification, 'True', '');" />
 
                     <label i18n:translate="label_enable_approve_notification"
@@ -304,9 +280,7 @@
                            name="isEnableApproveUserNotification"
                            id="isEnableApproveUserNotification"
-                           tabindex =""
                            tal:attributes="name property_id;
                                            value isEnableApproveUserNotification;
-                                           checked python:test(isEnableApproveUserNotification, 'True', '');
-                                           tabindex tabindex/next;"/>
+                                           checked python:test(isEnableApproveUserNotification, 'True', '');" />
 
                     <label i18n:translate="label_enable_approve_user_notification"
@@ -323,9 +297,7 @@
                            name="isRejectionNotificationEnabled"
                            id="isRejectionNotificationEnabled"
-                           tabindex =""
                            tal:attributes="name property_id;
                                            value isRejectionNotificationEnabled;
-                                           checked python:test(isRejectionNotificationEnabled, 'True', '');
-                                           tabindex tabindex/next;"/>
+                                           checked python:test(isRejectionNotificationEnabled, 'True', '');" />
 
                     <label i18n:translate="label_enable_reject_notification"
@@ -343,9 +315,7 @@
                            name="isReplyNotificationEnabled"
                            id="isReplyNotificationEnabled"
-                           tabindex =""
                            tal:attributes="name property_id;
                                            value isReplyNotificationEnabled;
-                                           checked python:test(isReplyNotificationEnabled, 'True', '');
-                                           tabindex tabindex/next;"/>
+                                           checked python:test(isReplyNotificationEnabled, 'True', '');" />
 
                     <label i18n:translate="label_enable_reply_notification"
@@ -357,11 +327,9 @@
                 <input type="hidden" name="form.submitted" value="1" />
                 <input class="context"
-                       tabindex=""
                        type="submit"
                        name="form.button.form_submit"
                        value="Save"
                        i18n:domain="plone"
-                       i18n:attributes="value"
-                       tal:attributes="tabindex tabindex/next;"/>
+                       i18n:attributes="value" />
             </div>
         </form>
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_form.cpt
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_form.cpt	(revision 2463)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_form.cpt	(revision 2611)
@@ -9,6 +9,4 @@
 <div metal:fill-slot="prefs_configlet_content"
      tal:define="here_url context/@@plone_context_state/object_url;
-                 Iterator python:modules['Products.CMFPlone'].IndexIterator;
-                 tabindex python:Iterator(mainSlot=False);
                  errors python:request.get('controller_state', None).getErrors();">
 
@@ -119,19 +117,15 @@
 
                         <input class="context"
-                               tabindex=""
                                type="submit"
                                name="form.button.form_delete"
                                value="Delete"
                                i18n:attributes="value"
-                               tal:attributes="tabindex tabindex/next;"
                                />
 
                         <input class="context"
-                               tabindex=""
                                type="submit"
                                name="form.button.form_publish"
                                value="Publish"
                                i18n:attributes="value"
-                               tal:attributes="tabindex tabindex/next;"
                                />
 
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt	(revision 2463)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt	(revision 2611)
@@ -19,6 +19,4 @@
                         here_url context/@@plone_context_state/object_url;
                         template_id template/getId;
-                        Iterator python:modules['Products.CMFPlone'].IndexIterator;
-                        tabindex python:Iterator(mainSlot=False);
                         isAnon context/@@plone_portal_state/anonymous;
                         member context/@@plone_portal_state/member;
@@ -83,5 +81,4 @@
                                         visible show_form|request/show_form|nothing;
                                         portal_url portal_url|view/portal_url;
-                                        tabindex tabindex|request/tabindex|view/tabindex;
                                         member member|request/member|view/member;">
 