Index: quintagroup.gdocs.spreadsheet/trunk/CONTRIBUTORS.txt
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/CONTRIBUTORS.txt	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/CONTRIBUTORS.txt	(revision 2642)
@@ -0,0 +1,2 @@
+Quintagroup, Author
+
Index: quintagroup.gdocs.spreadsheet/trunk/MANIFEST.in
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/MANIFEST.in	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/MANIFEST.in	(revision 2642)
@@ -0,0 +1,3 @@
+recursive-include docs *
+recursive-include quintagroup *
+global-exclude *pyc
Index: quintagroup.gdocs.spreadsheet/trunk/README.txt
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/README.txt	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/README.txt	(revision 2642)
@@ -0,0 +1,17 @@
+.. contents::
+
+.. Note!
+   -----
+   Update the following URLs to point to your:
+
+   - code repository
+   - bug tracker
+   - questions/comments feedback mail
+   (do not set a real mail, to avoid spams)
+
+   Or remove it if not used.
+
+- Code repository: http://svn.somewhere.com/...
+- Questions and comments to somemailing_list
+- Report bugs at http://bug.somewhere.com/..
+
Index: quintagroup.gdocs.spreadsheet/trunk/docs/HISTORY.txt
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/docs/HISTORY.txt	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/docs/HISTORY.txt	(revision 2642)
@@ -0,0 +1,8 @@
+Changelog
+=========
+
+1.0dev (unreleased)
+----------------
+
+* Initial release
+
Index: quintagroup.gdocs.spreadsheet/trunk/docs/INSTALL.txt
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/docs/INSTALL.txt	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/docs/INSTALL.txt	(revision 2642)
@@ -0,0 +1,52 @@
+quintagroup.gdocs.spreadsheet Installation
+------------------------------------------
+
+To install quintagroup.gdocs.spreadsheet into the global Python environment (or a workingenv),
+using a traditional Zope 2 instance, you can do this:
+
+* When you're reading this you have probably already run 
+  ``easy_install quintagroup.gdocs.spreadsheet``. Find out how to install setuptools
+  (and EasyInstall) here:
+  http://peak.telecommunity.com/DevCenter/EasyInstall
+
+* If you are using Zope 2.9 (not 2.10), get `pythonproducts`_ and install it
+  via::
+
+    python setup.py install --home /path/to/instance
+
+into your Zope instance.
+
+* Create a file called ``quintagroup.gdocs.spreadsheet-configure.zcml`` in the
+  ``/path/to/instance/etc/package-includes`` directory.  The file
+  should only contain this::
+
+    <include package="quintagroup.gdocs.spreadsheet" />
+
+.. _pythonproducts: http://plone.org/products/pythonproducts
+
+
+Alternatively, if you are using zc.buildout and the plone.recipe.zope2instance
+recipe to manage your project, you can do this:
+
+* Add ``quintagroup.gdocs.spreadsheet`` to the list of eggs to install, e.g.:
+
+    [buildout]
+    ...
+    eggs =
+        ...
+        quintagroup.gdocs.spreadsheet
+
+* Tell the plone.recipe.zope2instance recipe to install a ZCML slug:
+
+    [instance]
+    recipe = plone.recipe.zope2instance
+    ...
+    zcml =
+        quintagroup.gdocs.spreadsheet
+
+* Re-run buildout, e.g. with:
+
+    $ ./bin/buildout
+
+You can skip the ZCML slug if you are going to explicitly include the package
+from another package's configure.zcml file.
Index: quintagroup.gdocs.spreadsheet/trunk/docs/LICENSE.GPL
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/docs/LICENSE.GPL	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/docs/LICENSE.GPL	(revision 2642)
@@ -0,0 +1,225 @@
+		    GNU GENERAL PUBLIC LICENSE
+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+
+  0. This License applies to any program or other work which contains
+a notice placed by the copyright holder saying it may be distributed
+under the terms of this General Public License.  The "Program", below,
+refers to any such program or work, and a "work based on the Program"
+means either the Program or any derivative work under copyright law:
+that is to say, a work containing the Program or a portion of it,
+either verbatim or with modifications and/or translated into another
+language.  (Hereinafter, translation is included without limitation in
+the term "modification".)  Each licensee is addressed as "you".
+
+Activities other than copying, distribution and modification are not
+covered by this License; they are outside its scope.  The act of
+running the Program is not restricted, and the output from the Program
+is covered only if its contents constitute a work based on the
+Program (independent of having been made by running the Program).
+Whether that is true depends on what the Program does.
+
+  1. You may copy and distribute verbatim copies of the Program's
+source code as you receive it, in any medium, provided that you
+conspicuously and appropriately publish on each copy an appropriate
+copyright notice and disclaimer of warranty; keep intact all the
+notices that refer to this License and to the absence of any warranty;
+and give any other recipients of the Program a copy of this License
+along with the Program.
+
+You may charge a fee for the physical act of transferring a copy, and
+you may at your option offer warranty protection in exchange for a fee.
+
+  2. You may modify your copy or copies of the Program or any portion
+of it, thus forming a work based on the Program, and copy and
+distribute such modifications or work under the terms of Section 1
+above, provided that you also meet all of these conditions:
+
+    a) You must cause the modified files to carry prominent notices
+    stating that you changed the files and the date of any change.
+
+    b) You must cause any work that you distribute or publish, that in
+    whole or in part contains or is derived from the Program or any
+    part thereof, to be licensed as a whole at no charge to all third
+    parties under the terms of this License.
+
+    c) If the modified program normally reads commands interactively
+    when run, you must cause it, when started running for such
+    interactive use in the most ordinary way, to print or display an
+    announcement including an appropriate copyright notice and a
+    notice that there is no warranty (or else, saying that you provide
+    a warranty) and that users may redistribute the program under
+    these conditions, and telling the user how to view a copy of this
+    License.  (Exception: if the Program itself is interactive but
+    does not normally print such an announcement, your work based on
+    the Program is not required to print an announcement.)
+
+
+These requirements apply to the modified work as a whole.  If
+identifiable sections of that work are not derived from the Program,
+and can be reasonably considered independent and separate works in
+themselves, then this License, and its terms, do not apply to those
+sections when you distribute them as separate works.  But when you
+distribute the same sections as part of a whole which is a work based
+on the Program, the distribution of the whole must be on the terms of
+this License, whose permissions for other licensees extend to the
+entire whole, and thus to each and every part regardless of who wrote it.
+
+Thus, it is not the intent of this section to claim rights or contest
+your rights to work written entirely by you; rather, the intent is to
+exercise the right to control the distribution of derivative or
+collective works based on the Program.
+
+In addition, mere aggregation of another work not based on the Program
+with the Program (or with a work based on the Program) on a volume of
+a storage or distribution medium does not bring the other work under
+the scope of this License.
+
+  3. You may copy and distribute the Program (or a work based on it,
+under Section 2) in object code or executable form under the terms of
+Sections 1 and 2 above provided that you also do one of the following:
+
+    a) Accompany it with the complete corresponding machine-readable
+    source code, which must be distributed under the terms of Sections
+    1 and 2 above on a medium customarily used for software interchange; or,
+
+    b) Accompany it with a written offer, valid for at least three
+    years, to give any third party, for a charge no more than your
+    cost of physically performing source distribution, a complete
+    machine-readable copy of the corresponding source code, to be
+    distributed under the terms of Sections 1 and 2 above on a medium
+    customarily used for software interchange; or,
+
+    c) Accompany it with the information you received as to the offer
+    to distribute corresponding source code.  (This alternative is
+    allowed only for noncommercial distribution and only if you
+    received the program in object code or executable form with such
+    an offer, in accord with Subsection b above.)
+
+The source code for a work means the preferred form of the work for
+making modifications to it.  For an executable work, complete source
+code means all the source code for all modules it contains, plus any
+associated interface definition files, plus the scripts used to
+control compilation and installation of the executable.  However, as a
+special exception, the source code distributed need not include
+anything that is normally distributed (in either source or binary
+form) with the major components (compiler, kernel, and so on) of the
+operating system on which the executable runs, unless that component
+itself accompanies the executable.
+
+If distribution of executable or object code is made by offering
+access to copy from a designated place, then offering equivalent
+access to copy the source code from the same place counts as
+distribution of the source code, even though third parties are not
+compelled to copy the source along with the object code.
+
+
+  4. You may not copy, modify, sublicense, or distribute the Program
+except as expressly provided under this License.  Any attempt
+otherwise to copy, modify, sublicense or distribute the Program is
+void, and will automatically terminate your rights under this License.
+However, parties who have received copies, or rights, from you under
+this License will not have their licenses terminated so long as such
+parties remain in full compliance.
+
+  5. You are not required to accept this License, since you have not
+signed it.  However, nothing else grants you permission to modify or
+distribute the Program or its derivative works.  These actions are
+prohibited by law if you do not accept this License.  Therefore, by
+modifying or distributing the Program (or any work based on the
+Program), you indicate your acceptance of this License to do so, and
+all its terms and conditions for copying, distributing or modifying
+the Program or works based on it.
+
+  6. Each time you redistribute the Program (or any work based on the
+Program), the recipient automatically receives a license from the
+original licensor to copy, distribute or modify the Program subject to
+these terms and conditions.  You may not impose any further
+restrictions on the recipients' exercise of the rights granted herein.
+You are not responsible for enforcing compliance by third parties to
+this License.
+
+  7. If, as a consequence of a court judgment or allegation of patent
+infringement or for any other reason (not limited to patent issues),
+conditions are imposed on you (whether by court order, agreement or
+otherwise) that contradict the conditions of this License, they do not
+excuse you from the conditions of this License.  If you cannot
+distribute so as to satisfy simultaneously your obligations under this
+License and any other pertinent obligations, then as a consequence you
+may not distribute the Program at all.  For example, if a patent
+license would not permit royalty-free redistribution of the Program by
+all those who receive copies directly or indirectly through you, then
+the only way you could satisfy both it and this License would be to
+refrain entirely from distribution of the Program.
+
+If any portion of this section is held invalid or unenforceable under
+any particular circumstance, the balance of the section is intended to
+apply and the section as a whole is intended to apply in other
+circumstances.
+
+It is not the purpose of this section to induce you to infringe any
+patents or other property right claims or to contest validity of any
+such claims; this section has the sole purpose of protecting the
+integrity of the free software distribution system, which is
+implemented by public license practices.  Many people have made
+generous contributions to the wide range of software distributed
+through that system in reliance on consistent application of that
+system; it is up to the author/donor to decide if he or she is willing
+to distribute software through any other system and a licensee cannot
+impose that choice.
+
+This section is intended to make thoroughly clear what is believed to
+be a consequence of the rest of this License.
+
+
+  8. If the distribution and/or use of the Program is restricted in
+certain countries either by patents or by copyrighted interfaces, the
+original copyright holder who places the Program under this License
+may add an explicit geographical distribution limitation excluding
+those countries, so that distribution is permitted only in or among
+countries not thus excluded.  In such case, this License incorporates
+the limitation as if written in the body of this License.
+
+  9. The Free Software Foundation may publish revised and/or new versions
+of the General Public License from time to time.  Such new versions will
+be similar in spirit to the present version, but may differ in detail to
+address new problems or concerns.
+
+Each version is given a distinguishing version number.  If the Program
+specifies a version number of this License which applies to it and "any
+later version", you have the option of following the terms and conditions
+either of that version or of any later version published by the Free
+Software Foundation.  If the Program does not specify a version number of
+this License, you may choose any version ever published by the Free Software
+Foundation.
+
+  10. If you wish to incorporate parts of the Program into other free
+programs whose distribution conditions are different, write to the author
+to ask for permission.  For software which is copyrighted by the Free
+Software Foundation, write to the Free Software Foundation; we sometimes
+make exceptions for this.  Our decision will be guided by the two goals
+of preserving the free status of all derivatives of our free software and
+of promoting the sharing and reuse of software generally.
+
+			    NO WARRANTY
+
+  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
+FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
+OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
+PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
+OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
+TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
+PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
+REPAIR OR CORRECTION.
+
+  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
+REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
+INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
+OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
+TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
+YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
+PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGES.
+
+		     END OF TERMS AND CONDITIONS
Index: quintagroup.gdocs.spreadsheet/trunk/docs/LICENSE.txt
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/docs/LICENSE.txt	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/docs/LICENSE.txt	(revision 2642)
@@ -0,0 +1,16 @@
+  quintagroup.gdocs.spreadsheet is copyright Quintagroup
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License
+  along with this program; if not, write to the Free Software
+  Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
+  MA 02111-1307 USA.
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/__init__.py
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/__init__.py	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/__init__.py	(revision 2642)
@@ -0,0 +1,6 @@
+# See http://peak.telecommunity.com/DevCenter/setuptools#namespace-packages
+try:
+    __import__('pkg_resources').declare_namespace(__name__)
+except ImportError:
+    from pkgutil import extend_path
+    __path__ = extend_path(__path__, __name__)
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/__init__.py
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/__init__.py	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/__init__.py	(revision 2642)
@@ -0,0 +1,6 @@
+# See http://peak.telecommunity.com/DevCenter/setuptools#namespace-packages
+try:
+    __import__('pkg_resources').declare_namespace(__name__)
+except ImportError:
+    from pkgutil import extend_path
+    __path__ = extend_path(__path__, __name__)
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/README.txt
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/README.txt	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/README.txt	(revision 2642)
@@ -0,0 +1,56 @@
+Introduction
+============
+
+This is a full-blown functional test. The emphasis here is on testing what
+the user may input and see, and the system is largely tested as a black box.
+We use PloneTestCase to set up this test as well, so we have a full Plone site
+to play with. We *can* inspect the state of the portal, e.g. using 
+self.portal and self.folder, but it is often frowned upon since you are not
+treating the system as a black box. Also, if you, for example, log in or set
+roles using calls like self.setRoles(), these are not reflected in the test
+browser, which runs as a separate session.
+
+Being a doctest, we can tell a story here.
+
+First, we must perform some setup. We use the testbrowser that is shipped
+with Five, as this provides proper Zope 2 integration. Most of the 
+documentation, though, is in the underlying zope.testbrower package.
+
+    >>> from Products.Five.testbrowser import Browser
+    >>> browser = Browser()
+    >>> portal_url = self.portal.absolute_url()
+
+The following is useful when writing and debugging testbrowser tests. It lets
+us see all error messages in the error_log.
+
+    >>> self.portal.error_log._ignored_exceptions = ()
+
+With that in place, we can go to the portal front page and log in. We will
+do this using the default user from PloneTestCase:
+
+    >>> from Products.PloneTestCase.setup import portal_owner, default_password
+
+    >>> browser.open(portal_url)
+
+We have the login portlet, so let's use that.
+
+    >>> browser.getControl(name='__ac_name').value = portal_owner
+    >>> browser.getControl(name='__ac_password').value = default_password
+    >>> browser.getControl(name='submit').click()
+
+Here, we set the value of the fields on the login form and then simulate a
+submit click.
+
+We then test that we are still on the portal front page:
+
+    >>> browser.url == portal_url
+    True
+
+And we ensure that we get the friendly logged-in message:
+
+    >>> "You are now logged in" in browser.contents
+    True
+
+
+-*- extra stuff goes here -*-
+
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/__init__.py
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/__init__.py	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/__init__.py	(revision 2642)
@@ -0,0 +1,50 @@
+"""Main product initializer
+"""
+
+from zope.i18nmessageid import MessageFactory
+from quintagroup.gdocs.spreadsheet import config
+
+from Products.Archetypes import atapi
+from Products.CMFCore import utils
+from Products.CMFCore.permissions import setDefaultRoles
+
+# Define a message factory for when this product is internationalised.
+# This will be imported with the special name "_" in most modules. Strings
+# like _(u"message") will then be extracted by i18n tools for translation.
+
+spreadsheetMessageFactory = MessageFactory('quintagroup.gdocs.spreadsheet')
+
+def initialize(context):
+    """Initializer called when used as a Zope 2 product.
+
+    This is referenced from configure.zcml. Regstrations as a "Zope 2 product"
+    is necessary for GenericSetup profiles to work, for example.
+
+    Here, we call the Archetypes machinery to register our content types
+    with Zope and the CMF.
+    """
+
+    # Retrieve the content types that have been registered with Archetypes
+    # This happens when the content type is imported and the registerType()
+    # call in the content type's module is invoked. Actually, this happens
+    # during ZCML processing, but we do it here again to be explicit. Of
+    # course, even if we import the module several times, it is only run
+    # once.
+
+    content_types, constructors, ftis = atapi.process_types(
+        atapi.listTypes(config.PROJECTNAME),
+        config.PROJECTNAME)
+
+    # Now initialize all these content types. The initialization process takes
+    # care of registering low-level Zope 2 factories, including the relevant
+    # add-permission. These are listed in config.py. We use different
+    # permissions for each content type to allow maximum flexibility of who
+    # can add which content types, where. The roles are set up in rolemap.xml
+    # in the GenericSetup profile.
+
+    for atype, constructor in zip(content_types, constructors):
+        utils.ContentInit('%s: %s' % (config.PROJECTNAME, atype.portal_type),
+            content_types      = (atype,),
+            permission         = config.ADD_PERMISSIONS[atype.portal_type],
+            extra_constructors = (constructor,),
+            ).initialize(context)
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/browser/__init__.py
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/browser/__init__.py	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/browser/__init__.py	(revision 2642)
@@ -0,0 +1,1 @@
+#
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/browser/configure.zcml
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/browser/configure.zcml	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/browser/configure.zcml	(revision 2642)
@@ -0,0 +1,10 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:browser="http://namespaces.zope.org/browser"
+    i18n_domain="quintagroup.gdocs.spreadsheet">
+
+  <include package="plone.app.contentmenu" />
+
+  <!-- -*- extra stuff goes here -*- -->
+
+</configure>
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/config.py
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/config.py	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/config.py	(revision 2642)
@@ -0,0 +1,8 @@
+"""Common configuration constants
+"""
+
+PROJECTNAME = 'quintagroup.gdocs.spreadsheet'
+
+ADD_PERMISSIONS = {
+    # -*- extra stuff goes here -*-
+}
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/configure.zcml
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/configure.zcml	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/configure.zcml	(revision 2642)
@@ -0,0 +1,24 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:five="http://namespaces.zope.org/five"
+    xmlns:genericsetup="http://namespaces.zope.org/genericsetup"
+    i18n_domain="quintagroup.gdocs.spreadsheet">
+
+  <five:registerPackage package="." initialize=".initialize" />
+
+  <!-- Include the sub-packages that use their own configure.zcml files. -->
+  <include package=".browser" />
+  <include package=".content" />
+
+  <!-- Register the installation GenericSetup extension profile -->
+  <genericsetup:registerProfile
+      name="default"
+      title="Quintagroup google documents spreadsheet"
+      directory="profiles/default"
+      description=""
+      provides="Products.GenericSetup.interfaces.EXTENSION"
+      />
+
+  <!-- -*- extra stuff goes here -*- -->
+
+</configure>
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/content/__init__.py
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/content/__init__.py	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/content/__init__.py	(revision 2642)
@@ -0,0 +1,1 @@
+#
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/content/configure.zcml
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/content/configure.zcml	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/content/configure.zcml	(revision 2642)
@@ -0,0 +1,10 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:five="http://namespaces.zope.org/five"
+    i18n_domain="quintagroup.gdocs.spreadsheet">
+
+  <!-- configure your content components here -->
+  
+  <!-- -*- extra stuff goes here -*- -->
+
+</configure>
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/interfaces/__init__.py
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/interfaces/__init__.py	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/interfaces/__init__.py	(revision 2642)
@@ -0,0 +1,1 @@
+# -*- extra stuff goes here -*-
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/profiles/default/factorytool.xml
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/profiles/default/factorytool.xml	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/profiles/default/factorytool.xml	(revision 2642)
@@ -0,0 +1,14 @@
+<?xml version="1.0"?>
+<!-- This import step informs the portal_factory tool that we want it to
+     manage our content types. This tool deals with the fact that in
+     Archetypes and most CMF types, the object is actually created before
+     the first edit form is filled in. That is, there are no true "add forms".
+     The factory tool creates a temporary object in lieu of an "add form",
+     and then moves the object to the proper location after it has been
+     successfully saved.
+  -->
+<object name="portal_factory" meta_type="Plone Factory Tool">
+  <factorytypes>
+    <!-- -*- extra stuff goes here -*- -->
+  </factorytypes>
+</object>
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/profiles/default/metadata.xml
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/profiles/default/metadata.xml	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/profiles/default/metadata.xml	(revision 2642)
@@ -0,0 +1,4 @@
+<?xml version="1.0"?>
+<metadata>
+  <version>1.0</version>
+</metadata>
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/__init__.py
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/__init__.py	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/__init__.py	(revision 2642)
@@ -0,0 +1,1 @@
+#
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/base.py
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/base.py	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/base.py	(revision 2642)
@@ -0,0 +1,78 @@
+"""Test setup for integration and functional tests.
+
+When we import PloneTestCase and then call setupPloneSite(), all of
+Plone's products are loaded, and a Plone site will be created. This
+happens at module level, which makes it faster to run each test, but
+slows down test runner startup.
+"""
+
+from Products.Five import zcml
+from Products.Five import fiveconfigure
+
+from Testing import ZopeTestCase as ztc
+
+from Products.PloneTestCase import PloneTestCase as ptc
+from Products.PloneTestCase.layer import onsetup
+
+# When ZopeTestCase configures Zope, it will *not* auto-load products
+# in Products/. Instead, we have to use a statement such as:
+#   ztc.installProduct('SimpleAttachment')
+# This does *not* apply to products in eggs and Python packages (i.e.
+# not in the Products.*) namespace. For that, see below.
+# All of Plone's products are already set up by PloneTestCase.
+
+@onsetup
+def setup_product():
+    """Set up the package and its dependencies.
+
+    The @onsetup decorator causes the execution of this body to be
+    deferred until the setup of the Plone site testing layer. We could
+    have created our own layer, but this is the easiest way for Plone
+    integration tests.
+    """
+
+    # Load the ZCML configuration for the example.tests package.
+    # This can of course use <include /> to include other packages.
+
+    fiveconfigure.debug_mode = True
+    import quintagroup.gdocs.spreadsheet
+    zcml.load_config('configure.zcml', quintagroup.gdocs.spreadsheet)
+    fiveconfigure.debug_mode = False
+
+    # We need to tell the testing framework that these products
+    # should be available. This can't happen until after we have loaded
+    # the ZCML. Thus, we do it here. Note the use of installPackage()
+    # instead of installProduct().
+    # This is *only* necessary for packages outside the Products.*
+    # namespace which are also declared as Zope 2 products, using
+    # <five:registerPackage /> in ZCML.
+
+    # We may also need to load dependencies, e.g.:
+    #   ztc.installPackage('borg.localrole')
+
+    ztc.installPackage('quintagroup.gdocs.spreadsheet')
+
+# The order here is important: We first call the (deferred) function
+# which installs the products we need for this product. Then, we let
+# PloneTestCase set up this product on installation.
+
+setup_product()
+ptc.setupPloneSite(products=['quintagroup.gdocs.spreadsheet'])
+
+class TestCase(ptc.PloneTestCase):
+    """We use this base class for all the tests in this package. If
+    necessary, we can put common utility or setup code in here. This
+    applies to unit test cases.
+    """
+
+class FunctionalTestCase(ptc.FunctionalTestCase):
+    """We use this class for functional integration tests that use
+    doctest syntax. Again, we can put basic common utility or setup
+    code in here.
+    """
+
+    def afterSetUp(self):
+        roles = ('Member', 'Contributor')
+        self.portal.portal_membership.addMember('contributor',
+                                                'secret',
+                                                roles, [])
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/test_doctest.py
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/test_doctest.py	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/test_doctest.py	(revision 2642)
@@ -0,0 +1,24 @@
+import unittest
+import doctest
+
+from zope.testing import doctestunit
+from zope.component import testing, eventtesting
+
+from Testing import ZopeTestCase as ztc
+
+from quintagroup.gdocs.spreadsheet.tests import base
+
+def test_suite():
+    return unittest.TestSuite([
+
+        # Demonstrate the main content types
+        ztc.ZopeDocFileSuite(
+            'README.txt', package='quintagroup.gdocs.spreadsheet',
+            test_class=base.FunctionalTestCase,
+            optionflags=doctest.REPORT_ONLY_FIRST_FAILURE |
+                doctest.NORMALIZE_WHITESPACE | doctest.ELLIPSIS),
+
+        ])
+
+if __name__ == '__main__':
+    unittest.main(defaultTest='test_suite')
Index: quintagroup.gdocs.spreadsheet/trunk/setup.cfg
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/setup.cfg	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/setup.cfg	(revision 2642)
@@ -0,0 +1,4 @@
+[egg_info]
+tag_build = dev
+tag_svn_revision = true
+
Index: quintagroup.gdocs.spreadsheet/trunk/setup.py
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/setup.py	(revision 2642)
+++ quintagroup.gdocs.spreadsheet/trunk/setup.py	(revision 2642)
@@ -0,0 +1,72 @@
+# -*- coding: utf-8 -*-
+"""
+This module contains the tool of quintagroup.gdocs.spreadsheet
+"""
+import os
+from setuptools import setup, find_packages
+
+def read(*rnames):
+    return open(os.path.join(os.path.dirname(__file__), *rnames)).read()
+
+version = '1.0'
+
+long_description = (
+    read('README.txt')
+    + '\n' +
+    'Change history\n'
+    '**************\n'
+    + '\n' +
+    read('docs', 'HISTORY.txt')
+    + '\n' +
+    'Detailed Documentation\n'
+    '**********************\n'
+    + '\n' +
+    read('quintagroup', 'gdocs', 'spreadsheet', 'README.txt')
+    + '\n' +
+    'Contributors\n'
+    '************\n'
+    + '\n' +
+    read('CONTRIBUTORS.txt')
+    + '\n' +
+    'Download\n'
+    '********\n'
+    )
+
+tests_require=['zope.testing']
+
+setup(name='quintagroup.gdocs.spreadsheet',
+      version=version,
+      description="",
+      long_description=long_description,
+      # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers
+      classifiers=[
+        'Framework :: Plone',
+        'Intended Audience :: Developers',
+        'Topic :: Software Development :: Libraries :: Python Modules',
+        'License :: OSI Approved :: GNU General Public License (GPL)',
+        ],
+      keywords='',
+      author='Quintagroup',
+      author_email='support@quintagroup.com',
+      url='http://quintagroup.com/services/plone-development/products/quintagroup.gdocs.spreadsheet',
+      license='GPL',
+      packages=find_packages(exclude=['ez_setup']),
+      namespace_packages=['quintagroup', 'quintagroup.gdocs'],
+      include_package_data=True,
+      zip_safe=False,
+      install_requires=['setuptools',
+                        # -*- Extra requirements: -*-
+                        ],
+      tests_require=tests_require,
+      extras_require=dict(tests=tests_require),
+      test_suite = 'plone.example.tests.test_docs.test_suite',
+      entry_points="""
+      # -*- entry_points -*-
+      [distutils.setup_keywords]
+      paster_plugins = setuptools.dist:assert_string_list
+
+      [egg_info.writers]
+      paster_plugins.txt = setuptools.command.egg_info:write_arg
+      """,
+      paster_plugins = ["ZopeSkel"],
+      )