Index: quintagroup.captcha.core/trunk/quintagroup/captcha/core/locales/de/LC_MESSAGES/quintagroup.captcha.core.po
===================================================================
--- quintagroup.captcha.core/trunk/quintagroup/captcha/core/locales/de/LC_MESSAGES/quintagroup.captcha.core.po	(revision 2543)
+++ quintagroup.captcha.core/trunk/quintagroup/captcha/core/locales/de/LC_MESSAGES/quintagroup.captcha.core.po	(revision 2678)
@@ -4,6 +4,6 @@
 "Project-Id-Version: quintagroup.captcha.core 2.0\n"
 "POT-Creation-Date: 2010-04-01 12:26+0000\n"
-"PO-Revision-Date: 2007-08-23 16:30 +0100\n"
-"Last-Translator: Klaus Raasch <raasch@jadestudio.de>\n"
+"PO-Revision-Date: 2010-07-07 12:44+0100\n"
+"Last-Translator: Fabian Reinhard <fabian.reinhard@seantis.ch>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
 "MIME-Version: 1.0\n"
@@ -20,72 +20,72 @@
 #: ./skins/captcha_core/prefs_captchas_setup_form.cpt:154
 msgid "Amplitude"
-msgstr ""
+msgstr "Amplitude"
 
 #. Default: "Background"
 #: ./skins/captcha_core/prefs_captchas_setup_form.cpt:91
 msgid "Background"
-msgstr ""
+msgstr "Hintergrund"
 
 #. Default: "Font color"
 #: ./skins/captcha_core/prefs_captchas_setup_form.cpt:112
 msgid "Font color"
-msgstr ""
+msgstr "Schriftfarbe"
 
 #. Default: "Font size"
 #: ./skins/captcha_core/prefs_captchas_setup_form.cpt:70
 msgid "Font size"
-msgstr ""
+msgstr "Schriftgrösse"
 
 #. Default: "Period"
 #: ./skins/captcha_core/prefs_captchas_setup_form.cpt:133
 msgid "Period"
-msgstr ""
+msgstr "Periode"
 
 #: ./skins/captcha_core/dynamic/captcha_validator.vpy:24
 #: ./skins/captcha_core/static/captcha_validator.vpy:26
 msgid "Please re-enter validation code."
-msgstr ""
+msgstr "Bitte geben Sie den Code erneut ein."
 
 #: ./profiles/default/controlpanel.xml
 msgid "Plone captchas setup"
-msgstr ""
+msgstr "Plone captchas setup"
 
 #: ./profiles/default/actionicons.xml
 msgid "Quintagroup Captcha"
-msgstr ""
+msgstr "Quintagroup Captcha"
 
 #. Default: "Random values"
 #: ./skins/captcha_core/prefs_captchas_setup_form.cpt:176
 msgid "Random values"
-msgstr ""
+msgstr "Zufällige Werte"
 
 #. Default: "Enter the word below"
 #: ./skins/captcha_core/captcha_widget.pt:13
 msgid "enter_word"
-msgstr "Bitte geben Sie den Validationscode ein"
+msgstr "Bitte geben Sie den Validationscode ein."
 
 #. Default: "Plone Captchas Setup"
 #: ./skins/captcha_core/prefs_captchas_setup_form.cpt:18
 msgid "heading_comments_setup"
-msgstr ""
+msgstr "Plone Captchas Setup"
 
 #. Default: "Dynamic captchas image setup options"
 #: ./skins/captcha_core/prefs_captchas_setup_form.cpt:54
 msgid "legend_dynamic_captchas_options"
-msgstr ""
+msgstr "Dynamische captchas Setup-Optionen"
 
 #. Default: "Plone Captchas setup options"
 #: ./skins/captcha_core/prefs_captchas_setup_form.cpt:35
 msgid "legend_setup_options"
-msgstr ""
+msgstr "Plone Captchas Setup-Optionen"
 
 #. Default: "Use dynamic captchas"
 #: ./skins/captcha_core/prefs_captchas_setup_form.cpt:49
 msgid "use_dynamic_captchas"
-msgstr ""
+msgstr "Dynamic captchas verwenden"
 
 #. Default: "Use static captchas"
 #: ./skins/captcha_core/prefs_captchas_setup_form.cpt:42
 msgid "use_static_captchas"
-msgstr ""
+msgstr "Static captchas verwenden"
 
Index: quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/metadata.xml
===================================================================
--- quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/metadata.xml	(revision 2543)
+++ quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/metadata.xml	(revision 2678)
@@ -1,4 +1,4 @@
 <?xml version="1.0"?>
 <metadata>
-  <version>0.2.1</version>
+  <version>0.2.2dev</version>
 </metadata>
Index: quintagroup.captcha.core/trunk/quintagroup/captcha/core/version.txt
===================================================================
--- quintagroup.captcha.core/trunk/quintagroup/captcha/core/version.txt	(revision 2543)
+++ quintagroup.captcha.core/trunk/quintagroup/captcha/core/version.txt	(revision 2678)
@@ -1,1 +1,1 @@
-0.2.1
+0.2.2dev