Index: /quintagroup.seoptimizer/branches/plone4/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt
===================================================================
--- /quintagroup.seoptimizer/branches/plone4/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt	(revision 2721)
+++ /quintagroup.seoptimizer/branches/plone4/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt	(revision 2722)
@@ -28,6 +28,4 @@
     <div metal:fill-slot="main"
         tal:define="errors python:request.get('errors', {});
-                    Iterator python:modules['Products.CMFPlone'].IndexIterator;
-                    tabindex python:Iterator(mainSlot=False);
 		    seo_context here/@@seo_context"><!--TODO:implement validation and errors handling-->
       <h1 i18n:translate="heading_edit_seo_properties">Edit SEO Properties</h1>
@@ -41,8 +39,5 @@
       <form name="edit_form" action="." method="post" enctype="multipart/form-data"
               tal:attributes="action string:${context/absolute_url}/@@seo-context-properties" >
-<!--      <form name="edit_form"
-            action=""
-            method="post"
-            tal:attributes="action string:${here/absolute_url}/${template/getId}">-->
+
         <fieldset>
           <legend i18n:domain="plone" i18n:translate="legend_item_properties">
@@ -62,7 +57,5 @@
                    id="seo_title_override"
                    name="seo_title_override"
-                   tabindex=""
-                   tal:attributes="checked python:view.test(seo_context['has_seo_title'], 'on', None);
-                                   tabindex tabindex/next;"
+                   tal:attributes="checked python:view.test(seo_context['has_seo_title'], 'on', None);"
                    />
             <label i18n:translate="label_override" for="seo_title_override">
@@ -75,7 +68,5 @@
                    size="40"
                    value=""
-                   tabindex=""
-                   tal:attributes="value request/seo_title | seo_context/seo_title;
-                                   tabindex tabindex/next;"
+                   tal:attributes="value request/seo_title | seo_context/seo_title;"
                    />
           </div>
@@ -90,7 +81,5 @@
                    id="seo_description_override"
                    name="seo_description_override"
-                   tabindex=""
-                   tal:attributes="checked python:view.test(seo_context['has_seo_description'], 'on', None);
-                                   tabindex tabindex/next;"
+                   tal:attributes="checked python:view.test(seo_context['has_seo_description'], 'on', None);"
                    />
             <label i18n:translate="label_override" for="seo_description_override">
@@ -103,6 +92,4 @@
                       rows="5"
                       cols="15"
-                      tabindex=""
-                      tal:attributes="tabindex tabindex/next;"
                       tal:content="request/seo_description | seo_context/seo_description"
                       />
@@ -123,7 +110,5 @@
                    id="seo_keywords_override"
                    name="seo_keywords_override"
-                   tabindex=""
-                   tal:attributes="checked python:view.test(seo_context['has_seo_keywords'], 'on', None);
-                                   tabindex tabindex/next;"
+                   tal:attributes="checked python:view.test(seo_context['has_seo_keywords'], 'on', None);"
                    />
             <label i18n:translate="label_override" for="seo_keywords_override">
@@ -136,6 +121,4 @@
                       cols="15"
                       wrap="off"
-                      tabindex=""
-                      tal:attributes="tabindex tabindex/next;"
                       tal:define="keywords request/seo_keywords | seo_context/seo_keywords"
                       tal:content="python:'\n'.join(keywords)"
@@ -153,7 +136,5 @@
                    id="seo_html_comment_override"
                    name="seo_html_comment_override"
-                   tabindex=""
-                   tal:attributes="checked python:view.test(seo_context['has_html_comment'], 'on', None);
-                                   tabindex tabindex/next;"
+                   tal:attributes="checked python:view.test(seo_context['has_html_comment'], 'on', None);"
                    />
             <label i18n:translate="label_override" for="seo_html_comment_override">
@@ -165,6 +146,4 @@
                       rows="5"
                       cols="15"
-                      tabindex=""
-                      tal:attributes="tabindex tabindex/next;"
                       tal:content="request/seo_html_comment | seo_context/seo_html_comment"
                       />
@@ -181,7 +160,5 @@
                    id="seo_robots_override"
                    name="seo_robots_override"
-                   tabindex=""
-                   tal:attributes="checked python:view.test(seo_context['has_seo_robots'], 'on', None);
-                                   tabindex tabindex/next;"
+                   tal:attributes="checked python:view.test(seo_context['has_seo_robots'], 'on', None);"
                    />
             <label i18n:translate="label_override" for="seo_robots_override">
@@ -194,7 +171,5 @@
                    size="25"
                    value=""
-                   tabindex=""
-                   tal:attributes="value request/seo_robots | seo_context/seo_robots;
-                                   tabindex tabindex/next;"
+                   tal:attributes="value request/seo_robots | seo_context/seo_robots;"
                    />
           </div>
@@ -210,7 +185,5 @@
                    id="seo_distribution_override"
                    name="seo_distribution_override"
-                   tabindex=""
-                   tal:attributes="checked python:view.test(seo_context['has_seo_distribution'], 'on', None);
-                                   tabindex tabindex/next;"
+                   tal:attributes="checked python:view.test(seo_context['has_seo_distribution'], 'on', None);"
                    />
             <label i18n:translate="label_override" for="seo_distribution_override">
@@ -223,7 +196,5 @@
                    size="25"
                    value=""
-                   tabindex=""
-                   tal:attributes="value request/seo_distribution | seo_context/seo_distribution;
-                                   tabindex tabindex/next;"
+                   tal:attributes="value request/seo_distribution | seo_context/seo_distribution;"
                    />
           </div>
@@ -242,7 +213,5 @@
                    id="seo_canonical_override"
                    name="seo_canonical_override"
-                   tabindex=""
-                   tal:attributes="checked python:view.test(seo_context['has_seo_canonical'], 'on', None);
-                                   tabindex tabindex/next;"
+                   tal:attributes="checked python:view.test(seo_context['has_seo_canonical'], 'on', None);"
                    />
             <label i18n:translate="label_override" for="seo_canonical_override">
@@ -256,7 +225,5 @@
                    size="55"
                    value=""
-                   tabindex=""
-                   tal:attributes="value request/seo_canonical | seo_context/seo_canonical;
-                                   tabindex tabindex/next;"
+                   tal:attributes="value request/seo_canonical | seo_context/seo_canonical;"
                    />
           </div>
@@ -273,7 +240,5 @@
                    id="seo_custommetatags_override"
                    name="seo_custommetatags_override"
-                   tabindex=""
-                   tal:attributes="checked python:view.test(seo_context.seo_localCustomMetaTags(), 'on', None);
-                                   tabindex tabindex/next;"
+                   tal:attributes="checked python:view.test(seo_context.seo_localCustomMetaTags(), 'on', None);"
                    />
             <label i18n:translate="label_override" for="seo_custommetatags_override">
@@ -387,17 +352,13 @@
                i18n:domain="plone">
             <input class="context"
-                   tabindex=""
                    type="submit"
                    name="form.button.Save"
                    value="Save"
-                   i18n:attributes="value"
-                   tal:attributes="tabindex tabindex/next;" />
+                   i18n:attributes="value" />
             <input class="standalone"
-                   tabindex=""
                    type="submit"
                    name="form.button.Cancel"
                    value="Cancel"
-                   i18n:attributes="value"
-                   tal:attributes="tabindex tabindex/next;" />
+                   i18n:attributes="value" />
           </div>
         </fieldset>