Index: quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/configure.zcml
===================================================================
--- quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/configure.zcml	(revision 2726)
+++ quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/configure.zcml	(revision 2740)
@@ -17,3 +17,8 @@
       name="batch.js"
       file="resources/batch.js" />
+
+  <browser:resource
+      name="batch_size_enable.js"
+      file="resources/batch_size_enable.js" />
+
 </configure>
Index: quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/resources/batch.js
===================================================================
--- quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/resources/batch.js	(revision 2726)
+++ quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/resources/batch.js	(revision 2740)
@@ -27,4 +27,7 @@
           for (i=1;i<=batch_size;i++){
             jq(nav_links[index-i]).show();
+            if (i==batch_size) {
+              jq(nav_links[index-i]).find('.navlinkSeparator').hide();
+            }
           }
         }
@@ -43,4 +46,7 @@
             if (i+index<nav_links.size()){
               jq(nav_links[i+index]).show();
+            }
+            if (i==batch_size) {
+              jq(nav_links[i+index]).find('.navlinkSeparator').hide();
             }
           }
@@ -78,4 +84,7 @@
       for (i=0; i<batch_size;i++){
           jq(nav_links[i]).show();
+          if (i==batch_size-1) {
+            jq(nav_links[i]).find('.navlinkSeparator').hide();
+          }
       }
       showPageByIndex(0);
Index: quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/resources/batch_size_enable.js
===================================================================
--- quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/resources/batch_size_enable.js	(revision 2740)
+++ quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/resources/batch_size_enable.js	(revision 2740)
@@ -0,0 +1,13 @@
+jq(document).ready(function(e){
+    var allow = jq('input[id$=allow_batching]')
+    var batch_size = jq('input[id$=batch_size]');
+
+    var batch_sizeToggle = function (allow, batch_size) {
+      if (allow.is(':checked')) batch_size.removeAttr('disabled');
+      else batch_size.attr("disabled", 'true');
+    };
+
+    batch_sizeToggle(allow, batch_size);
+    allow.change(function () {
+      batch_sizeToggle(allow, batch_size);
+    });});
Index: quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/templates/navigation.pt
===================================================================
--- quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/templates/navigation.pt	(revision 2726)
+++ quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/templates/navigation.pt	(revision 2740)
@@ -3,6 +3,6 @@
   <tal:block repeat="batch options/batches">
     <a class="navlink">
-      <span tal:content="repeat/batch/number"/>
-      <span tal:condition="not:repeat/batch/end">|</span>
+      <span class="navlinkValue" tal:content="repeat/batch/number"/>
+      <span class="navlinkSeparator" tal:condition="not:repeat/batch/end">|</span>
     </a>
   </tal:block>
Index: quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/collection.pt
===================================================================
--- quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/collection.pt	(revision 2726)
+++ quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/collection.pt	(revision 2740)
@@ -7,5 +7,5 @@
     <dt class="portletHeader">
         <span class="portletTopLeft"></span>
-        <a tal:attributes="href collection_url" 
+        <a tal:attributes="href collection_url"
            tal:omit-tag="not:view/data/link_title">
             <span tal:content="view/data/header" />
Index: quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/collection.py
===================================================================
--- quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/collection.py	(revision 2726)
+++ quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/collection.py	(revision 2740)
@@ -29,5 +29,5 @@
 class NotValidBatchSizeValue(ValidationError):
     """This is not valid batch size value.
-    
+
     """
 
@@ -47,5 +47,5 @@
                                   default=[u"Title", u"Description"],
                                   value_type=schema.Choice(vocabulary='quintagroup.portlet.collection.vocabularies.PortletAttributesVocabulary'))
-                                  
+
     styling = schema.Choice(title=_(u"Portlet style"),
                             description=_(u"description_styling", default=u"Choose a css style for the porlet."),
@@ -55,17 +55,17 @@
 
 
-    show_item_more = schema.Bool(title=_(u"Show more... link for collection items."),
+    show_item_more = schema.Bool(title=_(u"Show more... link for collection items"),
                                  description=_(u"If enabled, a more... link will appear in the bottom of the each collection item, "
                                                 "linking to the corresponding item."),
                                  required=True,
                                  default=True)
-                       
-    link_title = schema.Bool(title=_(u"Link title."),
+
+    link_title = schema.Bool(title=_(u"Link title"),
                                  description=_(u"If enabled, title will be shown as link to corresponding object. "),
                                  required=True,
                                  default=True)
 
-    allow_batching = schema.Bool(title=_(u"Allow batching."),
-                                 description=_(u"If enabled, items will be splited into pages."),
+    allow_batching = schema.Bool(title=_(u"Allow batching"),
+                                 description=_(u"If enabled, items will be split into pages."),
                                  required=False,
                                  default=False)
@@ -75,10 +75,10 @@
                                           "(if not set 3 items will be displayed as default)."),
                             required=False,
-                            default=3, 
+                            default=3,
                             constraint=validate_batch_size)
 
 class Assignment(base.Assignment):
     """
-    Portlet assignment.    
+    Portlet assignment.
     This is what is actually managed through the portlets UI and associated
     with columns.
@@ -108,5 +108,5 @@
         self.allow_batching = allow_batching
         self.batch_size = batch_size
-       
+
     @property
     def title(self):
@@ -115,8 +115,8 @@
         """
         return self.header
-    
+
 class Renderer(base.Renderer):
     """Portlet renderer.
-    
+
     This is registered in configure.zcml. The referenced page template is
     rendered, and the implicit variable 'view' will refer to an instance
@@ -135,5 +135,5 @@
         delta = self.data.batch_size
         return [items[idx:idx + delta] for idx in range(0, len(items), delta)]
-    
+
     def batch_navigation(self):
         return self.navigation(batches=self.batches())
@@ -145,15 +145,16 @@
                             for index, batch in enumerate(self.batches())])
         return self.items_listing(portlet_items=self.results())
-        
+
 class AddForm(base.AddForm):
     """Portlet add form.
-    
+
     This is registered in configure.zcml. The form_fields variable tells
     zope.formlib which fields to display. The create() method actually
     constructs the assignment that is being added.
     """
+
     form_fields = form.Fields(IQCollectionPortlet)
     form_fields['target_collection'].custom_widget = UberSelectionWidget
-    
+
     label = _(u"Add Collection Portlet")
     description = _(u"This portlet display a listing of items from a Collection.")
@@ -164,5 +165,5 @@
 class EditForm(base.EditForm):
     """Portlet edit form.
-    
+
     This is registered with configure.zcml. The form_fields variable tells
     zope.formlib which fields to display.
Index: quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/profiles/default/jsregistry.xml
===================================================================
--- quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/profiles/default/jsregistry.xml	(revision 2726)
+++ quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/profiles/default/jsregistry.xml	(revision 2740)
@@ -5,3 +5,6 @@
     expression="" id="++resource++batch.js" inline="False"/>    
 
+ <javascript cacheable="True" compression="safe" cookable="True" enabled="True"
+    expression="" id="++resource++batch_size_enable.js" inline="False"/>    
+
 </object>