Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/commonview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/commonview.py	(revision 2741)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/commonview.py	(revision 2742)
@@ -2,9 +2,10 @@
 from zope.interface import implements, Interface, Attribute
 
+from Acquisition import aq_inner, aq_parent
 from Products.Five import BrowserView
 from Products.CMFCore.utils import getToolByName
 
 from quintagroup.plonegooglesitemaps import qPloneGoogleSitemapsMessageFactory as _
-from utils import additionalURLs, applyOperations
+from quintagroup.plonegooglesitemaps.browser.utils import additionalURLs, applyOperations
 
 
@@ -53,4 +54,8 @@
         return getToolByName(self.context, 'portal_url').getPortalObject()
 
+    @property
+    def search_path(self):
+        return '/'.join(aq_parent(aq_inner(self.context)).getPhysicalPath())
+
     def getFilteredObjects(self):
         """ Return brains
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/mobilesitemapview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/mobilesitemapview.py	(revision 2741)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/mobilesitemapview.py	(revision 2742)
@@ -1,4 +1,4 @@
 from DateTime import DateTime
-from commonview import *
+from quintagroup.plonegooglesitemaps.browser.commonview import *
 
 MOBILE_INTERFACES = ['quintagroup.mobileextender.interfaces.IMobile',]
@@ -15,10 +15,8 @@
 
     def getFilteredObjects(self):
-        path = self.portal.getPhysicalPath()
-        portal_types = self.context.getPortalTypes()
-        review_states = self.context.getStates()
-        return self.portal_catalog(path = path,
-                portal_type = portal_types,
-                review_state = review_states, 
-                object_provides = MOBILE_INTERFACES,
-                )
+        return self.portal_catalog(
+            path = self.search_path,
+            portal_type = self.context.getPortalTypes(),
+            review_state = self.context.getStates(),
+            object_provides = MOBILE_INTERFACES,
+            )
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/newssitemapview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/newssitemapview.py	(revision 2741)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/newssitemapview.py	(revision 2742)
@@ -1,7 +1,7 @@
 import re
 from DateTime import DateTime
-from commonview import *
 from zope.component import getMultiAdapter
 from plone.memoize.view import memoize
+from quintagroup.plonegooglesitemaps.browser.commonview import *
 
 reTrailingParenthtical = re.compile("\s*\(.*\)\s*", re.S)
@@ -32,12 +32,10 @@
 
     def getFilteredObjects(self):
-        path = self.portal.getPhysicalPath()
-        portal_types = self.context.getPortalTypes()
-        review_states = self.context.getStates()
         min_date = DateTime() - 3
-        res = self.portal_catalog(path = path,
-                portal_type = portal_types,
-                review_state = review_states,
-                effective = {"query": min_date,
-                             "range": "min" })
-        return res
+        return self.portal_catalog(
+            path = self.search_path,
+            portal_type = self.context.getPortalTypes(),
+            review_state = self.context.getStates(),
+            effective = {"query": min_date,
+                         "range": "min" }
+            )
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/sitemapview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/sitemapview.py	(revision 2741)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/sitemapview.py	(revision 2742)
@@ -1,5 +1,4 @@
 from DateTime import DateTime
-from commonview import *
-
+from quintagroup.plonegooglesitemaps.browser.commonview import *
 
 class SitemapView(CommonSitemapView):
@@ -14,8 +13,7 @@
 
     def getFilteredObjects(self):
-        path = self.portal.getPhysicalPath()
-        portal_types = self.context.getPortalTypes()
-        review_states = self.context.getStates()
-        return self.portal_catalog(path = path,
-                portal_type = portal_types,
-                review_state = review_states)
+        return self.portal_catalog(
+            path = self.search_path,
+            portal_type = self.context.getPortalTypes(),
+            review_state = self.context.getStates()
+            )