Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/test_adapters.txt
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/test_adapters.txt	(revision 2757)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/test_adapters.txt	(revision 2757)
@@ -0,0 +1,32 @@
+==========================
+A GSpreadsheetDataProvider adapter doctest
+==========================
+
+Import the class.
+
+    >>> from quintagroup.gdocs.spreadsheet.content.gspreadsheet import GSpreadsheet
+
+Create object
+
+    >>> my_context = GSpreadsheet('id')
+
+Get adapter
+
+    >>> from quintagroup.gdocs.spreadsheet.interfaces import IGSpreadsheetDataProvider
+    >>> adapter = IGSpreadsheetDataProvider(my_context)
+
+Testing methods of adapter
+
+    >>> wci = adapter.getWorksheetColumnsInfo()
+    >>> wci
+    ['col1', 'col2', 'col3', 'col4', 'col5']
+    >>> feed = adapter.getListFeed()
+    >>> len(feed.entry)
+    5
+    >>> keys = feed.entry[0].custom.keys()
+    >>> keys.sort()
+    >>> keys
+    ['col1', 'col2', 'col3', 'col4', 'col5']
+    >>> [feed.entry[0].custom[key].text for key in keys]
+    ['11', '12', '13', '14', '15']
+
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/test_context.txt
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/test_context.txt	(revision 2757)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/test_context.txt	(revision 2757)
@@ -0,0 +1,50 @@
+==========================
+A GSpreadsheet content type doctest
+==========================
+
+Import the class.
+
+    >>> from quintagroup.gdocs.spreadsheet.content.gspreadsheet import GSpreadsheet
+
+Create object
+
+    >>> my_context = GSpreadsheet('id')
+
+Testing set attributes of class GSpreadsheet
+
+    >>> my_context.title = u"Some title"
+    >>> my_context.description = u"Some description"
+    >>> my_context.spreadsheet_id = u"Some spreadsheet id"
+    >>> my_context.worksheet_id = u"Some worksheet id"
+    >>> my_context.order_columns = ({'column_key': 'col1', 'column_title': 'Title 1'},)
+
+    >>> my_context.title
+    'Some title'
+    >>> my_context.description
+    'Some description'
+    >>> my_context.spreadsheet_id
+    'Some spreadsheet id'
+    >>> my_context.worksheet_id
+    'Some worksheet id'
+    >>> len(my_context.order_columns)
+    1
+    >>> my_context.order_columns[0]['column_key']
+    'col1'
+    >>> my_context.order_columns[0]['column_title']
+    'Title 1'
+
+Testing all_keys_columns property method of class GSpreadsheet
+
+    >>> my_context.all_keys_columns
+    ['col1', 'col2', 'col3', 'col4', 'col5']
+
+Testing getKeyColumnVocabulary method of class GSpreadsheet
+
+    >>> kcv = my_context.getKeyColumnVocabulary()
+    >>> len(kcv)
+    5
+    >>> kcv[0]
+    'col1'
+    >>> kcv[4]
+    'col5'
+
Index: quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/test_doctest.py
===================================================================
--- quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/test_doctest.py	(revision 2756)
+++ quintagroup.gdocs.spreadsheet/trunk/quintagroup/gdocs/spreadsheet/tests/test_doctest.py	(revision 2757)
@@ -6,4 +6,5 @@
 
 from quintagroup.gauth.interfaces import IGAuthUtility
+import quintagroup.gdocs.spreadsheet.content.gspreadsheet as gspreadsheet
 from quintagroup.gdocs.spreadsheet.tests import base
 
@@ -14,4 +15,9 @@
     import quintagroup.gdocs.spreadsheet.tests.adapters
 
+
+def tearDown(test):
+    """This is the companion to setUp - it can be used to clean up the
+    test environment after each test.
+    """
 
 def test_suite():
@@ -25,5 +31,23 @@
                 doctest.NORMALIZE_WHITESPACE | doctest.ELLIPSIS,
             setUp=setUp,
+            tearDown=tearDown,
             ),
+        ztc.ZopeDocFileSuite('tests/test_adapters.txt',
+            package='quintagroup.gdocs.spreadsheet',
+            test_class=base.FunctionalTestCase,
+            optionflags=doctest.REPORT_ONLY_FIRST_FAILURE |
+                doctest.NORMALIZE_WHITESPACE | doctest.ELLIPSIS,
+            setUp=setUp,
+            tearDown=tearDown,
+            ),
+        ztc.ZopeDocFileSuite('tests/test_context.txt',
+            package='quintagroup.gdocs.spreadsheet',
+            test_class=base.FunctionalTestCase,
+            optionflags=doctest.REPORT_ONLY_FIRST_FAILURE |
+                doctest.NORMALIZE_WHITESPACE | doctest.ELLIPSIS,
+            setUp=setUp,
+            tearDown=tearDown,
+            ),
+
         ])
 